HipChat Integration - error encountered during hipchat link

Hi,

The integration between Confluence and HipChat doesn't work. The platforms are both server version.

Please find below the errore encountered during the HipChat Integration procedure after filled-in the HipChat address.

 

 Error encountered creating your hipchat link

Something went wrong integrating Confluence and HipChat. We probably had trouble connecting to the HipChat server. Check that the connection between your server and HipChat is working correctly and try again.

 

What's wrong ?

Thanks

Marco

11 answers

I have no fact based clue regarding certificate, my best guess is that selfsigned will not work smile

Changing the self-signed certificate to a signed certificate by a 3rd party worked for me. Follow the steps in this article. The CA bundle that we received from Comodo had the root CA in it as well. It didn't upload properly with the root CA. As per the documentation, include the Intermediate CA only.

Hi Marco,

What version of Confluence are you using? What plugin are you using to integrate? So far as I know, we only be able to do an integration to HipChat Cloud and not Server yet.

 

Regards,

Arya

Hi Marco,

I am also user of Confluence 5.6.6 and was trying to use Confluence HipChat integration Plugin to integrate HipChat with Confluence. I completed the first step but I am stuck in the 2nd step as HipChat integration plugin is not allowing me to select rooms or spaces for Chat.

Confluence HipChat Integration Plugin v. 6.11.1

Regards,

Arya

We had the same problem trying to connect JIRA/Confluence to our own local hipchat server. (with the Hipchat integration tool)

It connected to http:// and not https:// and installed the addon on the hipchat server and then got connection problems. Then we added the public key (crt) from our installed certicate in hipchat.

Password for the java keystore is changeit. (don't blame the messenger) 

$Java_home is  /opt/atlassian/[ jira or confluence]/jre

  1. Removed integration Jira/Confluence tool from hipchat.
  2. Put your certificate (CRT) in  /usr/local/share/ca-certificates/
  3. sudo update-ca-certificates (For linux cert store)
  4. Run command on the JIRA server: (for Java keystore) /opt/atlassian/jira/jre/bin#  sudo ./keytool -importcert -alias hipchat -keystore /opt/atlassian/jira/jre/lib/security/cacerts -file /usr/local/share/ca-certificates/[certicate.crt]  

  5. Run command on the confluence server:(for Java keystore)  sudo ./keytool -importcert -alias hipchat -keystore /opt/atlassian/confluence/jre/lib/security/cacerts -file /usr/local/share/ca-certificates/[certicate.crt]

  6. Add certificate: yes

  7. (Default) Password for the keystore Java : changeit

  8. Connect to https://hipchat.domain.com (own local hipchat server)

Hi Arya,

Not properly: The integration on servers side worked correctly before the last release of HipChat Server (1.0).

After the upgrade the integration between Confluence Server and HipChat doesn't work. Please find below a screenshot about the Integration plugin:

Screenshot at feb 04 16-06-33.png

Below the version used:

 

Confluence Server v. 5.6.5
Atlassian HipChat 1.0 build 1.1.7 (2015.01.26.233926)
Confluence HipChat Integration Plugin v. 6.11.1

 

Thank you for your support.

Best

m.

Same here... should never have seleted to "upgrade" to new API Stuff sad

I am getting the same error. Anyone is able to resolve this issue ?

Yes - Delete the integration for the product on https://xxxx.hipchat.com/admin/addons and redo it from JIRA/Confluence.

Then it worked again for me.

Thanks @Normann P. Nielsen for reply. Could you also please tell me whether it works with self signed certificate (default that comes with hipchat) or I will need proper certificate before doing integration ?

I've deleted the integration and re-attempted several times to no avail.

Tried with self-signed and now with GeoTrust RapidSSL with no change to this error message... aaargggh.

I have confirmed via keytool that the JIRA server has GeoTrust Global as a trusted CA. Chain should be solid, but no dice.

Ideas anyone??

did you fixed this issues, I have the same issues now, don't know what can I with it.

Try to delete all JIRA integration stuff at https://xxxx.hipchat.com/admin/addons and restart JIRA, I had problems again this time where an "Hipchat Upgrade" was required...

I don't want upgrade now... tried delete the JIRA integration in HipChat server, then restart JIRA, try again still get this error. I need find another way, thank for help.

Same Problem here. Is Atlassian reading this thread or do we have to open a ticket?

I have the same problem...

After I installed the certificate into my Java keystore in JIRA, this problem was fixed.

Same Problem here with the most recent versions of JIRA (6.4.2) and HipChat (1.2.4)

Suggest an answer

Log in or Sign up to answer
How to earn badges on the Atlassian Community

How to earn badges on the Atlassian Community

Badges are a great way to show off community activity, whether you’re a newbie or a Champion.

Learn more
Community showcase
Posted Jul 10, 2018 in Confluence

We want to see the templates you've created in Confluence!

Hi Community, Jessica here from the Confluence Product Marketing team!  July’s community challenge is all about sharing pictures  — and as an extension of our first post on what ...

867 views 23 12
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you